#!/usr/bin/python

# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Author: rostami@google.com (Afshin Rostamizadeh)



"""Given a file with a single column list of numerical values,
return the mean and standard deviation.
"""

from math import sqrt
import sys

if len(sys.argv) < 2:
  print "Usage: " + sys.argv[0] + " inputfile"
  sys.exit(1)

s = 0;
ss = 0;
lines = open(sys.argv[1]).readlines()
for line in lines:
  s += float(line)
  ss += float(line)**2

out = sys.argv[1] + " -- avg: " + str(s / len(lines))
out += " std: " + str(sqrt(ss / len(lines) - (s / len(lines))**2))

print out
